[git commit master] tar: add a test for latest fix

Denys Vlasenko vda.linux at googlemail.com
Sun Nov 29 18:09:29 UTC 2009


commit: http://git.busybox.net/busybox/commit/?id=bf22475e9552b08feb31d40250ab293d2fd98234
branch: http://git.busybox.net/busybox/commit/?id=refs/heads/master

Signed-off-by: Denys Vlasenko <vda.linux at googlemail.com>
---
 testsuite/tar.tests |   35 +++++++++++++++++++++++++++++++++++
 1 files changed, 35 insertions(+), 0 deletions(-)
 create mode 100755 testsuite/tar.tests

diff --git a/testsuite/tar.tests b/testsuite/tar.tests
new file mode 100755
index 0000000..0d4fa45
--- /dev/null
+++ b/testsuite/tar.tests
@@ -0,0 +1,35 @@
+#!/bin/sh
+# Copyright 2009 by Denys Vlasenko
+# Licensed under GPL v2, see file LICENSE for details.
+
+. ./testing.sh
+
+mkdir tempdir && cd tempdir || exit 1
+
+# testing "test name" "script" "expected result" "file input" "stdin"
+
+testing "tar hardlinks and repeated files" \
+">input_hard1
+ln input_hard1 input_hard2
+mkdir input_dir
+>input_dir/file
+tar cf test.tar input input_dir/ input_hard1 input_hard2 input_hard1 input_dir/ input
+tar tvf test.tar | sed 's/.*[0-9] input/input/'
+tar xf test.tar 2>&1 && echo Ok
+" \
+"input
+input_dir/
+input_dir/file
+input_hard1
+input_hard2 -> input_hard1
+input_hard1 -> input_hard1
+input_dir/
+input_dir/file
+input
+Ok
+" \
+"" ""
+
+cd .. && rm -rf tempdir || exit 1
+
+exit $FAILCOUNT
-- 
1.6.3.3



More information about the busybox-cvs mailing list